PHPmyLMB-XT
==========

Lightweight media browser Extended (includes more experimental stuff, cross-fork with PHPmyLMB by Benpro).  Generate a web page with media contents such as
video and audio.  Very useful to share with people :wink: 

Currently supported filetypes:

 - Video in WebM. `.webm`
 - Video subtitles in WEBVTT. `.webm.vtt`
 - Audio in OGG or Opus. `.ogg` `.opus`
 - Pictures in JPG, PNG, GIF, WebP and SVG. `.jpg` `.jpeg` `.gif` `.webp` `.svg`
 - Flash apps in SWF. `.swf`
 - Documents in PDF `.pdf` (embed support in Firefox only).

![screenshot](http://i.imgur.com/sWxCiir.png)

Installation
============

1. Clone the repo somewhere on a server with PHP capabilities.
2. Put directories with contents
3. ???
4. Enjoy!

Upgrade
=======

git pull --rebase (And eventually fix when there are conflicts).

Customize config and style
==========================

To customize the config:
- copy `config.default.php` as `config.php`
- edit `config.php` and change what you want in the $conf array
- done: PHPmyLMB-XT will use the custom config

To customize the style (CSS):
- copy `style.default.css` as `style.css`
- edit `style.css` and change whatever you want
- done: PHPmyLMB-XT will show the custom style

License
=======

Please read the [license file](LICENSE)
